# Uses of Class
org.eclipse.net4j.spi.db.DBAdapter.FieldInfo

Packages that use DBAdapter.FieldInfo
Package
Description
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of DBAdapter.FieldInfo in org.eclipse.net4j.spi.db

Fields in org.eclipse.net4j.spi.db with type parameters of type DBAdapter.FieldInfo
Modifier and Type
Field
Description
`List<DBAdapter.FieldInfo>`
DBAdapter.IndexInfo.`fieldInfos`
Methods in org.eclipse.net4j.spi.db with parameters of type DBAdapter.FieldInfo
Modifier and Type
Method
Description
`int`
DBAdapter.FieldInfo.`compareTo(DBAdapter.FieldInfo o)`
Method parameters in org.eclipse.net4j.spi.db with type arguments of type DBAdapter.FieldInfo
Modifier and Type
Method
Description
`protected void`
DBAdapter.`addIndex(Connection connection, IDBTable table, String name, IDBIndex.Type type, List<DBAdapter.FieldInfo> fieldInfos)`